unit Main;

interface

uses
  Classes, Controls, SysUtils, StdCtrls, Forms, RPBase, RPSystem, RPDefine,
  RPRave, RVCsBars, RPCon, RPConDS, RPConBDE, Db, NdbBase,  NdbAsa, NdbBasDS,
  NdbAsaDS;

type
  TForm1 = class(TForm)
    ReportSystem1: TReportSystem;
    RaveProject: TRaveProject;
    ReportLB: TListBox;
    AsaSession1: TAsaSession;
    AsaDataSet1: TAsaDataset;
    rpcCustomer: TRPDataSetConnection;
    DescMemo: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    Button2: TButton;
    procedure FormCreate(Sender: TObject);
    procedure ReportLBClick(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure RaveProjectCreate(Sender: TObject);
  end;

var
  Form1: TForm1;
  ShowNotice: boolean = True;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var
  DBPath: string;
begin
  DBPath := ExtractFilePath(Application.ExeName);
  DBPath := ExtractFilePath(copy(DBPath,1,length(DBPath)-1)) + 'Data\';
  AsaSession1.LibraryPath := DBPath;
  AsaSession1.LoginDatabase := AsaSession1.LibraryPath + 'Data.db';

  RaveProject.Open;
  RaveProject.GetReportList(ReportLB.Items, True);
end;

procedure TForm1.ReportLBClick(Sender: TObject);
begin
  RaveProject.SelectReport(ReportLB.Items[ReportLB.ItemIndex],true);
  RaveProject.ReportDescToMemo(DescMemo);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  RaveProject.Close;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  RaveProject.Execute;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  ReportLB.ItemIndex := 0;
  ReportLBClick(nil);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  RaveProject.Design;
  RaveProject.GetReportList(ReportLB.Items, True);
end;

procedure TForm1.RaveProjectCreate(Sender: TObject);
begin
  RVCsBars.RaveRegister;
end;

end.
